post
https://app.medallion.co/api/v1/org/providers//documents/
To upload a new Document to a Provider, POST a valid image or PDF file as the content:
headers = {"Accept": "application/json", "x-api-key": "YOUR-API-KEY"}
provider_pk = "<PROVIDER ID>"
with open("./filename.pdf", "rb") as f:
data = {"title": "Provider Resume", "kind": "cv"}
files = [("content", f)]
response = requests.post(
f"https://api.medallion.co/api/v1/org/providers/{provider_pk}/documents/",
headers=headers,
data=data,
files=files,
)
response.raise_for_status()
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
400Bad request
401Unauthorized
404Provider not found
415Unsupported media type; only valid images & PDFs are supported
429Too many requests; try again in a few seconds